[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated
From: |
David Levine |
Subject: |
[Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated. b0b7ee58c482bf36063e6158f610dd337f3ca568 |
Date: |
Tue, 21 Feb 2012 04:03:09 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The nmh Mail Handling System".
The branch, master has been updated
via b0b7ee58c482bf36063e6158f610dd337f3ca568 (commit)
from 9e27fef315a1e9df848c357cc4c96b1c000bfcd7 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=b0b7ee58c482bf36063e6158f610dd337f3ca568
commit b0b7ee58c482bf36063e6158f610dd337f3ca568
Author: David Levine <address@hidden>
Date: Mon Feb 20 22:02:26 2012 -0600
Migrated a couple more tests to use run_test() in common.sh.
diff --git a/test/format/test-myhost b/test/format/test-myhost
index d7e53e1..27069af 100755
--- a/test/format/test-myhost
+++ b/test/format/test-myhost
@@ -13,23 +13,15 @@ fi
setup_test
-runtest()
-{
- testoutput=$(${MH_LIB_DIR}/ap -format "%(myhost)" ignore)
-
- if [ x"$1" != x"${testoutput}" ]; then
- echo "For $2, expected $1 but got ${testoutput}"
- exit 1
- fi
-}
-
-runtest "$(hostname)" "local hostname test"
+run_test "${MH_LIB_DIR}/ap -format %(myhost) ignore" "`hostname`" \
+ "local hostname test"
cp ${MHMTSCONF} ${MH_TEST_DIR}/Mail/mts.conf || exit 1
export MHMTSCONF="${MH_TEST_DIR}/Mail/mts.conf"
echo "localname: some.random.name" >> ${MHMTSCONF}
-runtest "some.random.name" "mts.conf localname test"
+run_test "${MH_LIB_DIR}/ap -format %(myhost) ignore" "some.random.name" \
+ "mts.conf localname test"
-exit 0
+exit $failed
diff --git a/test/format/test-mymbox b/test/format/test-mymbox
index e1d1ead..e3decd9 100755
--- a/test/format/test-mymbox
+++ b/test/format/test-mymbox
@@ -13,33 +13,24 @@ fi
setup_test
-runtest()
-{
- testoutput=$(${MH_LIB_DIR}/ap -format "%(mymbox{text})" "$1")
+user="`id -un`"
+host="`hostname`"
- if [ -z "${testoutput}" ]; then
- echo "Test program did not return anything for $3"
- exit 1
- fi
-
- if [ "${testoutput}" -ne $2 ]; then
- echo "Did not get expected output for $3"
- exit 1
- fi
-}
-
-user="$(id -un)"
-host="$(hostname)"
-
-runtest "${user}" 1 "Basic user test"
-runtest "address@hidden" 1 "Basic address@hidden test"
-runtest "address@hidden" 0 "Basic non-matching test"
+run_test "${MH_LIB_DIR}/ap -format %(mymbox{text}) ${user}" \
+ 1 "Basic user test"
+run_test "${MH_LIB_DIR}/ap -format %(mymbox{text}) address@hidden" \
+ 1 "Basic address@hidden test"
+run_test "${MH_LIB_DIR}/ap -format %(mymbox{text}) address@hidden" \
+ 0 "Basic non-matching test"
myname="Random User <address@hidden>"
echo "Local-Mailbox: ${myname}" >> ${MH}
-runtest "${myname}" 1 "Local-Mailbox test"
-runtest "address@hidden" 0 "Local-mailbox overriding address@hidden test"
+run_test "echo `${MH_LIB_DIR}/ap -format '%(mymbox{text})' "${myname}"`" \
+ 1 "Local-Mailbox test"
+
+run_test "${MH_LIB_DIR}/ap -format %(mymbox{text}) address@hidden" \
+ 0 "Local-mailbox overriding address@hidden test"
-exit 0
+exit $failed
-----------------------------------------------------------------------
Summary of changes:
test/format/test-myhost | 18 +++++-------------
test/format/test-mymbox | 37 ++++++++++++++-----------------------
2 files changed, 19 insertions(+), 36 deletions(-)
hooks/post-receive
--
The nmh Mail Handling System
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated. b0b7ee58c482bf36063e6158f610dd337f3ca568,
David Levine <=